import 'dart:convert';
import 'dart:io';

extension FileReader on File {
  Stream<String> get utf8Stream =>
      this.openRead().transform<String>(Utf8Decoder());

  String maybeReadAsStringSync({Encoding encoding = utf8}) {
    if (this.existsSync()) {
      return this.readAsStringSync(encoding: encoding);
    }

    return '';
  }

  Future<String> maybeReadAsString({Encoding encoding = utf8}) async {
    if (await this.exists()) {
      return this.readAsString(encoding: encoding);
    }

    return '';
  }
}
